/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

#include "eEnd.h"
#include "../WorldManager.h"

eEnd::eEnd()
{
	real = true;
	toDelete = false;
	stat = false;
}
   	
eEnd::~eEnd()
{
   
}

void eEnd::Load()
{
	rect.x1 = 0;
   rect.y1 = 0;
   rect.x2 = 32;
   rect.y2 = 32;
}
   
void eEnd::Draw(int layer)
{
   
}
   
void eEnd::Update()
{
   //Calcul de la position écran de l'entité
   x_screen = x - worldMan->curLevel->map->scrollX;
	y_screen = y - worldMan->curLevel->map->scrollY;
	
	//On vérifie si l'informateur est à l'écran
   /*if(x_screen < (0) || x_screen > (256) || y_screen < (0) || y_screen > (192))
   	actif = false;
   else*/
   	actif = true;
   			
}

void eEnd::CheckInteractions()
{
	/*if(actif)
	{*/
	   //STUB : configurer le système pour d'autres types d'events
		if(RectCollision(x, y, &rect, UNFIX(worldMan->hero->x), UNFIX(worldMan->hero->y), &worldMan->hero->rect))
		{
		 	//On définit la fin du jeu
		 	worldMan->isGameFinished = true;
		 	worldMan->lastLevel = true;
		}   
	//}
			
}   

void eEnd::Destroy()
{
   
}
